目录

Downloads the file's large thumbnail.

Request

HTTP Request

GET
https://drive.cloud.hicloud.com/drive/v1/thumbnails/{fileId}?form=content

Parameters

*Some parameters are mandatory.

Parameter NameType
Description
fileIdstringpathFile ID. (Mandatory)
formstringqueryDownload method. (Mandatory)
quotaIdstringqueryUser identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user.
x-hw-trace-idstringheaderID used for service tracing.
x-hw-app-idstringheader            App ID. 
versionstringheader            SDK version number.
x-hw-terminalstringheader            Device model. 
x-hw-osstringheader            Device operating system. 
unionIDstringheader            Open user ID.
User-Agentstringheader            App version number or ID.

Request Body

Leave the request body empty.

Parameter NameTypeDescription

Response

Parameter NameTypeDescription
ThumbnailContentstringThe file's large thumbnail.